@echo off

SET "TITANDIR=%programdata%\Team Mediaportal\Mediaportal\Skin\Titan"

echo ###################################################
echo.
echo Titan Skin Directory
echo %TITANDIR%
echo.
echo Theme will be installed to
echo %TITANDIR%\Themes\
echo.
echo ###################################################

:Start

echo.
Echo Do you want to continue? [Y/N]
Echo.

Set /P ANSWER=

Echo.

if "%ANSWER%"=="y" Goto :Install
if "%ANSWER%"=="Y" Goto :Install
if "%ANSWER%"=="n" Goto :Abort
if "%ANSWER%"=="N" Goto :Abort

Goto :Start


:Install

Echo.
Echo Copying Original XML Files...
xcopy /i /y /q "%TITANDIR%\*.xml" ".\XML\*.xml"

Echo.
Echo Coping images...
xcopy /i /y /q /s ".\Dull Gold\*.*" "%TITANDIR%\Themes\Dull Gold\*.*"

Echo.
Echo Changing Colours Codes...
mtrw -qnb- .\XML\*.xml 00b7ff = 987e60
mtrw -qnb- .\XML\*.xml 6aa5cb = a99176
mtrw -qnb- .\XML\*.xml 6fafe1 = b8a58f
mtrw -qnb- .\XML\*.xml 85cffe = c7b8a7
mtrw -qnb- .\XML\*.xml 85cfff = c7b8a7
mtrw -qnb- .\XML\*.xml a9d0f7 = d6cbbf
mtrw -qnb- .\XML\*.xml bzd4f5 = e6dfd7
Echo colour codes changed.

Echo.
Echo Copying Changed XML Files...
xcopy /i /y /q ".\xml\*.xml" "%TITANDIR%\Themes\Dull Gold\*.xml"

Echo.
echo Deleting the temporary files...
rd /s /q .\XML
echo Tempoary files deleted.

Echo.
Echo #############################################
echo Installation Complete.
echo #############################################
Echo.

Goto :EndOfFile


:Abort

Echo.
echo #############################################
Echo Installation Aborted
echo #############################################
Echo.

:EndOfFile

pause